<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

NNRobots_Email_Entries_CF::createTable();

// Export data

if (isset($_GET['export_data']) && $_GET['export_data'] == 'true' && check_admin_referer(self::$prefix . 'export_data')) {

	$start_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
	$end_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime(current_time('mysql')));

	if (isset($_GET[self::$prefix_dash . 'start-date']) && $_GET[self::$prefix_dash . 'start-date'] != '') {
		$start_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'start-date']));
	}

	if (isset($_GET[self::$prefix_dash . 'end-date']) && $_GET[self::$prefix_dash . 'end-date'] != '') {
		$end_date = date(NNROBOTS_CONTENT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'end-date']));
	}

	global $wpdb;

	include_once(NNROBOTS_CONTENT_FIRE_PLUGIN_DIR . 'admin/model/db.php');

	$entries = NNRobots_Email_Entries_CF::getEntries($start_date, $end_date);
	$content_fires = $wpdb->get_results("SELECT * FROM `" . NNRobots_Content_Fire_DB::getTableName() . "`");

	foreach ($entries as $key => $entry) {
		$entries[$key]['content_fire_name'] = '<strong style="color:red;">DELETED</strong>';
	}

	foreach ($content_fires as $content_fire) {
		foreach ($entries as $key => $entry) {
			if ($content_fire->id == $entry['content_fire_id']) {
				$entries[$key] = array(
					'content_fire_id'	=> $entry['content_fire_id'],
					'date'				=> $entry['date'],
					'content_fire_name'	=> $content_fire->name,
					'email'				=> $entry['email'],
					'subject'			=> $entry['subject'],
					'message'			=> $entry['message'],
				);
			}
		}
	}

	// Unset indexes

	foreach ($entries as $key => $entry) {
		unset($entries[$key]['id']);
		unset($entries[$key]['content_fire_id']);
	}

	$filename =  self::$prefix . 'entries.csv';
	$export_file = fopen(NNROBOTS_CONTENT_FIRE_PLUGIN_DIR . 'exports/' . $filename, "w");
	fputcsv($export_file, array('Date', 'Content Fire', 'Email', 'Subject', 'Message'));

	foreach (array_reverse($entries) as $entry) {

		$temp_entry['date']                 = $entry['date'];
		$temp_entry['content_fire_name']    = strip_tags($entry['content_fire_name']);
		$temp_entry['email']                = $entry['email'];
		$temp_entry['subject']              = $entry['subject'];
		$temp_entry['message']              = $entry['message'];

	    fputcsv($export_file, $temp_entry);
	}

	fclose($export_file);

	?>
	<script type="text/javascript">
		window.location = '<?php echo NNROBOTS_CONTENT_FIRE_PLUGIN_URL . '/exports/download.php?filename=' . $filename; ?>';
	</script>
	<?php
}

include_once(NNROBOTS_CONTENT_FIRE_PLUGIN_DIR . 'admin/views/entries.php');